package com.ruoyi.web.modules.industryservice.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.industryservice.domain.BizCooperativeDevelopment;

public interface BizCooperativeDevelopmentMapper
{
    BizCooperativeDevelopment selectBizCooperativeDevelopmentById(Long id);

    int countByUniqueExcludeId(@Param("statYear") Integer statYear, @Param("statMonth") Integer statMonth,
            @Param("villageDeptId") Long villageDeptId, @Param("cooperativeName") String cooperativeName,
            @Param("excludeId") Long excludeId);

    BizCooperativeDevelopment selectByUnique(@Param("statYear") Integer statYear, @Param("statMonth") Integer statMonth,
            @Param("villageDeptId") Long villageDeptId, @Param("cooperativeName") String cooperativeName);

    List<BizCooperativeDevelopment> selectBizCooperativeDevelopmentList(BizCooperativeDevelopment query);

    int insertBizCooperativeDevelopment(BizCooperativeDevelopment row);

    int updateBizCooperativeDevelopment(BizCooperativeDevelopment row);

    int deleteBizCooperativeDevelopmentByIds(@Param("ids") Long[] ids);

    int deleteByYearMonth(@Param("statYear") Integer statYear, @Param("statMonth") Integer statMonth);
}
